Bug 1745600 - Confusing info in changelog
Summary: Confusing info in changelog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-26 13:08 UTC by Lukas Slebodnik
Modified: 2019-10-21 18:54 UTC (History)
6 users (show)

Fixed In Version: systemd-243-4.gitef67743.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-21 18:54:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2019-08-26 13:08:47 UTC
Description of problem:
The latest update of systemd changed default cgroup hierarchy to cgroups v2.
However nether moby-engine nor podman works well with that.

I tried to used workaround mentioned in the changelog

"""
Use systemd.unified-cgroup-hierachy=no on the kernel command line to revert.
"""
But it did not help. I found correct parameter on the https://fedoraproject.org/wiki/Changes/CGroupsV2 (which was fortunally mentioned in changelog as well.



Version-Release number of selected component (if applicable):
rpm -q systemd
systemd-243~rc2-1.fc31.x86_64

How reproducible:
Deterministic


Steps to Reproduce:
1. rpm -q --changelog systemd | grep "systemd.unified_cgroup_hierarchy=0"

Actual results:
sh$ rpm -q --changelog systemd | grep "systemd.unified_cgroup_hierarchy=0"
sh$ echo $?
1
Expected results:
sh$ rpm -q --changelog systemd | grep "systemd.unified_cgroup_hierarchy=0"
  Use systemd.unified_cgroup_hierarchy=0 on the kernel command line to revert.


Additional info:

Comment 1 Lukas Slebodnik 2019-08-26 13:09:47 UTC
sh$ rpm -q --changelog systemd | head
* Thu Aug 22 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 243~rc2-1
- Update to latest pre-release. Fixes #1740113, #1717712.
- The default scheduler for disks is set to BFQ (1738828)
- The default cgroup hierarchy is set to unified (cgroups v2) (#1732114).
  Use systemd.unified-cgroup-hierachy=no on the kernel command line to revert.
  See https://fedoraproject.org/wiki/Changes/CGroupsV2.

* Wed Aug 07 2019 Adam Williamson <awilliam@redhat.com> - 243~rc1-2
- Backport PR #1737362 so we own /etc/systemd/system again (#1737362)



systemd.unified-cgroup-hierachy=no != systemd.unified_cgroup_hierarchy=0

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-08-26 13:33:00 UTC
Thanks. I update the spec file in git. It'll be rebuilt later this week anyway, so
I'm not building right now.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-09-21 22:10:10 UTC
This was actually fixed in the previous build.

Comment 4 Lukas Slebodnik 2019-09-23 08:42:17 UTC
I am sorry but info is still not valid

sh-5.0# cat /proc/cmdline 
BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.3.0-1.fc31.x86_64 root=/dev/mapper/fedora_host-root ro systemd.unified-cgroup-hierachy=0 resume=/dev/mapper/fedora_host-swap rd.lvm.lv=fedora_host/root rd.lvm.lv=fedora_host/swap console=ttyS0,115200

sh-5.0# mount -l | grep cgroup
cgroup2 on /sys/fs/cgroup type cgroup2 (rw,nosuid,nodev,noexec,relatime,seclabel,nsdelegate)

sh-5.0# rpm -q systemd
systemd-243-1.fc31.x86_64
sh-5.0# rpm -q --changelog systemd | grep unified
- The default cgroup hierarchy is set to unified (cgroups v2) (#1732114).
  Use systemd.unified-cgroup-hierachy=0 on the kernel command line to revert.


systemd.unified-cgroup-hierachy=0 != systemd.unified_cgroup_hierarchy=0

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-10-16 21:31:09 UTC
Actually, "-" and "_" is treated the same by systemd in this case. So yeah, both are equivalent.

Comment 6 Lukas Slebodnik 2019-10-17 20:14:26 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> Actually, "-" and "_" is treated the same by systemd in this case. So yeah,
> both are equivalent.

I did a copy and paste and it does not work for me :-(
So either that magic is not supported by systemd or there is a different typo.

sh-5.0# cat /proc/cmdline 
BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.3.6-300.fc31.x86_64 root=/dev/mapper/fedora_kvm--07--guest32-root ro systemd.unified-cgroup-hierachy=0 resume=/dev/mapper/fedora_kvm--07--guest32-swap rd.lvm.lv=fedora_kvm-07-guest32/root rd.lvm.lv=fedora_kvm-07-guest32/swap console=ttyS0,115200
sh-5.0# mount -l | grep cgroup
cgroup2 on /sys/fs/cgroup type cgroup2 (rw,nosuid,nodev,noexec,relatime,seclabel,nsdelegate)

sh-5.0# grep "systemd.unified-cgroup-hierachy=0" /proc/cmdline 
BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.3.6-300.fc31.x86_64 root=/dev/mapper/fedora_kvm--07--guest32-root ro systemd.unified-cgroup-hierachy=0 resume=/dev/mapper/fedora_kvm--07--guest32-swap rd.lvm.lv=fedora_kvm-07-guest32/root rd.lvm.lv=fedora_kvm-07-guest32/swap console=ttyS0,115200
sh-5.0# rpm -q --changelog systemd | grep "systemd.unified-cgroup-hierachy=0"
  Use systemd.unified-cgroup-hierachy=0 on the kernel command line to revert.

Comment 7 Lukas Slebodnik 2019-10-17 20:16:04 UTC
Would you mind to check where is the problem ?

Comment 8 Zbigniew Jędrzejewski-Szmek 2019-10-17 21:36:31 UTC
It's hiera*r*chy. Thank you for being so persistent.
I pushed a fixup to dist-git, it'll go out in the next rebuild.

Comment 9 Fedora Update System 2019-10-19 18:56:04 UTC
FEDORA-2019-4d8742c07f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4d8742c07f

Comment 10 Fedora Update System 2019-10-20 17:13:29 UTC
systemd-243-4.gitef67743.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4d8742c07f

Comment 11 Fedora Update System 2019-10-21 18:54:24 UTC
systemd-243-4.gitef67743.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.